{
    attributes = (
        {
            allowsNull = Y; 
            definition = "DECODE(nvl(toPhotosEmployes.noIndividu,0),0,DECODE(nvl(toPhotosEtudiants.noIndividu,1),1,toPhotosEtudiantsOld.datasPhoto,toPhotosEtudiants.datasPhoto),toPhotosEmployes.datasPhoto)"; 
            externalType = "LONG RAW"; 
            isReadOnly = Y; 
            name = datasPhoto; 
            valueClassName = NSData; 
        }, 
        {
            allowsNull = Y; 
            columnName = IND_QUALITE; 
            externalType = VARCHAR2; 
            name = indQualite; 
            valueClassName = NSString; 
            width = 120; 
        }, 
        {
            columnName = NO_INDIVIDU; 
            externalType = NUMBER; 
            name = noIndividu; 
            precision = 8; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = NOM_USUEL; 
            externalType = VARCHAR2; 
            name = nomUsuel; 
            valueClassName = NSString; 
            width = 80; 
        }, 
        {
            columnName = PERS_ID; 
            externalType = NUMBER; 
            name = persId; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = PRENOM; 
            externalType = VARCHAR2; 
            name = prenom; 
            valueClassName = NSString; 
            width = 40; 
        }
    ); 
    attributesUsedForLocking = (noIndividu, persId, prenom, nomUsuel, datasPhoto); 
    className = EOGenericRecord; 
    classProperties = (
        noIndividu, 
        persId, 
        prenom, 
        nomUsuel, 
        toPhotosEmployes, 
        toPhotosEtudiants, 
        toPhotosEtudiantsOld, 
        datasPhoto, 
        indQualite
    ); 
    externalName = INDIVIDU_ULR; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        _clientClassPropertyNames = (
            noIndividu, 
            persId, 
            nomPatronymique, 
            prenom, 
            cCivilite, 
            nomUsuel, 
            dNaissance, 
            villeDeNaissance, 
            cDeptNaissance, 
            cPaysNaissance, 
            cPaysNationalite, 
            indQualite, 
            indPhoto, 
            indActivite, 
            indOrigine, 
            toPhotosEmployes, 
            dDeces, 
            dNaturalisation, 
            indCSitMilitaire, 
            indCSituationFamille, 
            indCleInsee, 
            indNoInsee, 
            prenom2, 
            tailleNom, 
            temSsDiplome, 
            temValide, 
            dCreation, 
            dModification, 
            toPhotosEtudiants
        ); 
    }; 
    name = IndividuUlrPhotos; 
    primaryKeyAttributes = (persId); 
    relationships = (
        {
            destination = PhotosEmployes; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = noIndividu; sourceAttribute = noIndividu; }); 
            name = toPhotosEmployes; 
        }, 
        {
            destination = PhotosEtudiants; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = noIndividu; sourceAttribute = noIndividu; }); 
            name = toPhotosEtudiants; 
        }, 
        {
            destination = PhotosEtudiantsOld; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = noIndividu; sourceAttribute = noIndividu; }); 
            name = toPhotosEtudiantsOld; 
        }
    ); 
}
